@import "libs/shared/assets/src/global-style/color";
:host {
  width: 100%;
}

.main-attach-job {
  display: flex;
  justify-content: space-between;
  padding: 24px 0px 24px 0px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
  }
}
.main-attach-job-card {
  margin: 24px 24px 24px 0px;
  text-align: center;
  border-radius: 4px;
  &__label {
    font-weight: bold;
  }

  ::ng-deep {
    .ant-input {
      border-radius: 8px;
      min-height: 32px;
      padding: 10px 0px 10px 8px;
      text-align: center;
    }
  }
  &__row-radio {
    ::ng-deep {
      .ant-radio-checked .ant-radio-inner {
        border-color: $primary-button-color;
        &::after {
          background: $primary-button-color;
        }
      }
      .ant-radio-wrapper-checked {
        border-radius: 8px;
        background: $hover-table-row;
        /* border: 1px solid #141ED2; */
        border: 1px solid $primary-button-color;
        padding: 8px;
        min-width: 178px;
        min-height: 44px;
      }
      .ant-radio-wrapper {
        border: 1px solid $active-status-invisibile;
        padding: 8px;
        border-radius: 8px;
        width: 178px;
        height: 44px;
      }
    }
  }
}
.main-attach-template-card {
  margin: 24px 0px 24px 0px;
  text-align: center;
  border-radius: 4px;
  &__label {
    font-weight: bold;
  }

  ::ng-deep {
    .ant-input {
      border-radius: 8px;
      min-height: 32px;
      padding: 10px 0px 10px 8px;
    }
    .ant-input:focus {
      border-color: #141ed2;
  }
    .ant-input:hover {
      border-color: #141ed2;
  }
    .ant-card-body {
      padding: 9px 24px 24px 24px;
  }
  }
}
.finalRow {
  padding: 24px;
}

.custom-select {
  ::ng-deep {
    border-radius: 4px !important;
    min-height: 40px;
    display: flex;
    align-items: center;
  }
}

.custom-table {

  .ant-table-container,
  .ant-table-container table > thead > tr:first-child th:first-child {
    border-top-left-radius: 8px;
  }

  .ant-table-container,
  .ant-table-container table > thead > tr:first-child th:last-child {
    border-top-right-radius: 8px;
  }

  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }

  .ant-checkbox-checked .ant-checkbox-inner {
    background-color: $primary-button-color;
    border-color: $primary-button-color;
  }
}
.custom-tab {
  ::ng-deep {
    .ant-tabs-tab.ant-tabs-tab-active .ant-tabs-tab-btn {
      color: $primary-button-color;
      font-weight: bold;
    }
    .ant-tabs-ink-bar {
      background: $primary-button-color;
    }
    .ant-tabs-tab-btn{
      font-weight: bold;
    }
  }
}
.text-left {
  text-align: left !important;
}
.mb-25 {
  margin-bottom: 25px;
}
.cdk-overlay-container{
  z-index: 1000000 !important;
}
